summaryrefslogtreecommitdiff
path: root/packages/altboot/files/nslu2le/altboot-handlers/10-Onboard-Flash
diff options
context:
space:
mode:
Diffstat (limited to 'packages/altboot/files/nslu2le/altboot-handlers/10-Onboard-Flash')
-rw-r--r--packages/altboot/files/nslu2le/altboot-handlers/10-Onboard-Flash18
1 files changed, 18 insertions, 0 deletions
diff --git a/packages/altboot/files/nslu2le/altboot-handlers/10-Onboard-Flash b/packages/altboot/files/nslu2le/altboot-handlers/10-Onboard-Flash
new file mode 100644
index 0000000000..394279c2af
--- /dev/null
+++ b/packages/altboot/files/nslu2le/altboot-handlers/10-Onboard-Flash
@@ -0,0 +1,18 @@
+#! /bin/sh
+#
+# Copyright Matthias Hentges <devel@hentges.net> (c) 2007
+# License: GPL (see http://www.gnu.org/licenses/gpl.txt for a copy of the license)
+#
+# Filename: 10-Onboard-Flash
+# Date: 20070218 (YMD)
+
+leds beep
+. /etc/default/functions
+leds boot system
+test -x /sbin/init && exec /sbin/init
+# fallback if /sbin/init has been deleted (bad!)
+leds boot system panic
+exec <>/dev/console >&0 2>&0
+test -x /sbin/sulogin && exec /sbin/sulogin
+test -x /bin/sh && exec /bin/sh
+exit 1